<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP4 - Cryptohraphie: Sources/encrypt.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP4 - Cryptohraphie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_937900b87e0c7a5fa01190c395fb83f7.html">Sources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">encrypt.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>File containing encryption/decryption of a string in ceasar rotation.  
<a href="#details">More...</a></p>

<p><a href="encrypt_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structencryption.html">encryption</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a10a17228da1509a91c4329a43ae43937"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="structencryption.html">encryption</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a></td></tr>
<tr class="separator:a10a17228da1509a91c4329a43ae43937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bef78556ca8b58aced11732a4c85d74"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a3bef78556ca8b58aced11732a4c85d74">method_t</a>) (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> toEncrypt)</td></tr>
<tr class="separator:a3bef78556ca8b58aced11732a4c85d74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab4f8ea86b5db4403b2488646abdafc64"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#ab4f8ea86b5db4403b2488646abdafc64">encrypt</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> toEncrypt)</td></tr>
<tr class="separator:ab4f8ea86b5db4403b2488646abdafc64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76cfae303d5d0dccd731720d2a216bbc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a76cfae303d5d0dccd731720d2a216bbc">caesar</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> toEncrypt)</td></tr>
<tr class="separator:a76cfae303d5d0dccd731720d2a216bbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a026374091f90bdd887ab4a08872317f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a026374091f90bdd887ab4a08872317f5">rotation</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> toEncrypt)</td></tr>
<tr class="separator:a026374091f90bdd887ab4a08872317f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9baf18e6b0cbbf503b3abe47d61d361b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a9baf18e6b0cbbf503b3abe47d61d361b">lut</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> toEncrypt)</td></tr>
<tr class="separator:a9baf18e6b0cbbf503b3abe47d61d361b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac644d6c625272f69e23b9d093e86953d"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#ac644d6c625272f69e23b9d093e86953d">askType</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:ac644d6c625272f69e23b9d093e86953d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b76482779531bcf71e4d43fd002ef5d"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a9b76482779531bcf71e4d43fd002ef5d">askMethod</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:a9b76482779531bcf71e4d43fd002ef5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf4dd671fa82cbd13d8244bd1f77fc58"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#acf4dd671fa82cbd13d8244bd1f77fc58">askKey</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:acf4dd671fa82cbd13d8244bd1f77fc58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a975aa0a4c4430694bc944e31327c52f0"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a975aa0a4c4430694bc944e31327c52f0">askSpec</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:a975aa0a4c4430694bc944e31327c52f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d12f0e225e3b36d91ae9230a52c1e82"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a1d12f0e225e3b36d91ae9230a52c1e82">askString</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:a1d12f0e225e3b36d91ae9230a52c1e82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e1122e9594026eb5d4289040cb1a8d7"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a0e1122e9594026eb5d4289040cb1a8d7">askFilePath</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:a0e1122e9594026eb5d4289040cb1a8d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89fa5551b318fa8698c39fd2abfef2b4"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a89fa5551b318fa8698c39fd2abfef2b4">askEncryptedPath</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:a89fa5551b318fa8698c39fd2abfef2b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a6f0ca629fb70c1b0079b318857bce3"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#a7a6f0ca629fb70c1b0079b318857bce3">askoutputFileSuffix</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:a7a6f0ca629fb70c1b0079b318857bce3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa42fe61f3d5841eaa68137259e9927ee"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="encrypt_8h.html#aa42fe61f3d5841eaa68137259e9927ee">askDispFile</a> (void)</td></tr>
<tr class="separator:aa42fe61f3d5841eaa68137259e9927ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>File containing encryption/decryption of a string in ceasar rotation. </p>
<dl class="section author"><dt>Author</dt><dd>Gabin Blot </dd></dl>
<dl class="section date"><dt>Date</dt><dd>14 Dec 2019</dd></dl>
<p>This header file defines functions in order to encrypt and decrypt a sting with the caesar rotation algorithm </p>
</div><h2 class="groupheader">Typedef Documentation</h2>
<a id="a10a17228da1509a91c4329a43ae43937"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10a17228da1509a91c4329a43ae43937">&#9670;&nbsp;</a></span>encryption_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="structencryption.html">encryption</a>* <a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3bef78556ca8b58aced11732a4c85d74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bef78556ca8b58aced11732a4c85d74">&#9670;&nbsp;</a></span>method_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* method_t) (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> toEncrypt)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="aa42fe61f3d5841eaa68137259e9927ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa42fe61f3d5841eaa68137259e9927ee">&#9670;&nbsp;</a></span>askDispFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askDispFile </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a6f0ca629fb70c1b0079b318857bce3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a6f0ca629fb70c1b0079b318857bce3">&#9670;&nbsp;</a></span>askoutputFileSuffix()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askoutputFileSuffix </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a89fa5551b318fa8698c39fd2abfef2b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89fa5551b318fa8698c39fd2abfef2b4">&#9670;&nbsp;</a></span>askEncryptedPath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askEncryptedPath </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e1122e9594026eb5d4289040cb1a8d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e1122e9594026eb5d4289040cb1a8d7">&#9670;&nbsp;</a></span>askFilePath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askFilePath </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acf4dd671fa82cbd13d8244bd1f77fc58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf4dd671fa82cbd13d8244bd1f77fc58">&#9670;&nbsp;</a></span>askKey()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askKey </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9b76482779531bcf71e4d43fd002ef5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b76482779531bcf71e4d43fd002ef5d">&#9670;&nbsp;</a></span>askMethod()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askMethod </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a975aa0a4c4430694bc944e31327c52f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a975aa0a4c4430694bc944e31327c52f0">&#9670;&nbsp;</a></span>askSpec()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askSpec </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d12f0e225e3b36d91ae9230a52c1e82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d12f0e225e3b36d91ae9230a52c1e82">&#9670;&nbsp;</a></span>askString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac644d6c625272f69e23b9d093e86953d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac644d6c625272f69e23b9d093e86953d">&#9670;&nbsp;</a></span>askType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a76cfae303d5d0dccd731720d2a216bbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76cfae303d5d0dccd731720d2a216bbc">&#9670;&nbsp;</a></span>caesar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void caesar </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a>&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4f8ea86b5db4403b2488646abdafc64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4f8ea86b5db4403b2488646abdafc64">&#9670;&nbsp;</a></span>encrypt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void encrypt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a>&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9baf18e6b0cbbf503b3abe47d61d361b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9baf18e6b0cbbf503b3abe47d61d361b">&#9670;&nbsp;</a></span>lut()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void lut </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a>&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a026374091f90bdd887ab4a08872317f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a026374091f90bdd887ab4a08872317f5">&#9670;&nbsp;</a></span>rotation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void rotation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a>&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
